/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.mail.test.po;

import org.xwiki.administration.test.po.AdministrationSectionPage;
import org.xwiki.test.ui.po.LiveTableElement;

/**
 * Represents the actions possible on the Mail Status Administration Page.
 * 
 * @version $Id: 7b33644bbb56ae25d1b69148907db0467e102b45 $
 * @since 6.4RC1
 */
public class MailStatusAdministrationSectionPage extends AdministrationSectionPage
{
    public MailStatusAdministrationSectionPage()
    {
        super("Mail Sending Status");
    }

    public static MailStatusAdministrationSectionPage gotoPage()
    {
        gotoPage("emailStatus");
        return new MailStatusAdministrationSectionPage();
    }

    /**
     * @return the status live table
     */
    public LiveTableElement getLiveTable()
    {
        LiveTableElement lt = new LiveTableElement("sendmailstatus");
        lt.waitUntilReady();
        return lt;
    }
}
