/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.notifications.preferences;

import org.xwiki.stability.Unstable;

/**
 * Possible properties that can be bound to a notification in order to characterize it.
 *
 * @version $Id: 9d37a126f06e1664f928f57fe2833265ac5058b7 $
 * @since 9.7RC1
 */
@Unstable
public enum NotificationPreferenceProperty
{
    /**
     * The type of the event linked to the notification.
     */
    EVENT_TYPE
}
