/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.ratings.script;

import org.xwiki.component.annotation.Component;
import org.xwiki.component.annotation.InstantiationStrategy;
import org.xwiki.component.descriptor.ComponentInstantiationStrategy;
import org.xwiki.stability.Unstable;

/**
 * This class only defines a component using methods defined in {@link AbstractScriptRatingsManager}.
 * This component is instantiated for any call to the script service with a specific hint
 * (e.g. {@code $services.ratings.foo}). See {@link RatingsScriptService#get(String)}.
 *
 * @version $Id: 2bcedd7d8002daabcb2e3a3df2ed3e2e70e86a03 $
 * @since 12.9RC1
 */
@Unstable
@Component(roles = DefaultScriptRatingsManager.class)
@InstantiationStrategy(ComponentInstantiationStrategy.PER_LOOKUP)
public class DefaultScriptRatingsManager extends AbstractScriptRatingsManager
{
}
